[SRU] xfce4-weather-plugin 0.8.11

Bug #1821662 reported by Sean Davis on 2019-03-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xfce4-weather-plugin (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]

 * Downstream bug: https://bugzilla.xfce.org/show_bug.cgi?id=14972

 * The met.no sunrise API version 1.1, used by xfce4-weather-plugin versions prior to 0.8.11, expired on 2019-02-15. As with previous expirations, this is expected to make the plugin stop working entirely at some point.

 * Ubuntu 19.04 is unaffected, as xfce4-weather-plugin 0.9.1 includes the newer API

 * Affected supported releases include: 16.04, 18.04, 18.10

[Test Case]

 * Add the weather plugin to the Xfce panel.

 * Right-click on the plugin and select Preferences to configure it.

 * After configuring the plugin, click on it to show the Weather Report dialog.

 * Click on the details tab.
   * With version 0.8.10 and older, the following message is displayed on the weather details:
     Met.no sunrise API states that this version of the webservice
     is deprecated, and the plugin needs to be adapted to use
     a newer version, or it will stop working within a few months.
     Please file a bug on https://bugzilla.xfce.org if no one
     else has done so yet.
     * Alternatively, ~/.xsession-errors will be littered with this message: (wrapper-1.0:1828): weather-WARNING **: 20:09:40.088: Download of astronomical data failed with HTTP Status Code 404, Reason phrase: Not Found
   * With version 0.8.11 and 0.9.1, the notice and error messages are no longer displayed. Additionally, "Moon phase" should be populated under "Astronomical Data".

 * Verify that the weather forecast works with the newer version by right-clicking on the plugin and selecting "Refresh".

[Regression Potential]

 * Along with the updated API, this release now uses alternate https connections. If SSL certificates expire (unlikely and rare), these connections will fail:
   http://geoip.xfce.org/ -> https://geoip.xfce.org/
   http://api.geonames.org -> https://secure.geonames.org

 * Other regression potential is minimal.

[0.8.11 Release Notes]

- Use the latest sunrise API (2.0) (bug #14972)
- Use https for all connections
- Fix link to the met.no logo
- Translation updates: Albanian, Belarusian, Catalan, Chinese (China),
  Danish, Dutch, French, Hungarian, Korean, Lithuanian, Russian, Swedish

https://git.xfce.org/panel-plugins/xfce4-weather-plugin/log/?h=master-0.8

[ Other Notes ]

For those reviewing the code/commits, the API replacement consists of 3 commits:

1. API replacement (not including moonphase): https://git.xfce.org/panel-plugins/xfce4-weather-plugin/commit/?h=master-0.8&id=3653203bd4ac03ee3c6bee7d0e35144a94cc27bb

2. Code improvements: https://git.xfce.org/panel-plugins/xfce4-weather-plugin/commit/?h=master-0.8&id=f2e44941a70dd92c6e0858b1358b9e3eb148da85

3. Fixing the moonphase integration with the 2.0 API: https://git.xfce.org/panel-plugins/xfce4-weather-plugin/commit/?h=master-0.8&id=1cc55b7fc509a1ccb98b686b1b102b38fe68348d

Sean Davis (bluesabre) on 2019-03-26
Changed in xfce4-weather-plugin (Ubuntu Disco):
status: New → Fix Released
Sean Davis (bluesabre) wrote :

Attaching cosmic debdiff

Sean Davis (bluesabre) wrote :

Attaching bionic debdiff

Sean Davis (bluesabre) wrote :

Attaching xenial debdiff

Sean Davis (bluesabre) wrote :

Uploaded the following package versions:

- 0.8.11-0ubuntu0.16.04.1
- 0.8.11-0ubuntu0.18.04.1
- 0.8.11-0ubuntu0.18.10.1

Changed in xfce4-weather-plugin (Ubuntu Xenial):
status: New → In Progress
Changed in xfce4-weather-plugin (Ubuntu Bionic):
status: New → In Progress
Changed in xfce4-weather-plugin (Ubuntu Cosmic):
status: New → In Progress
Brian Murray (brian-murray) wrote :

It also looks like there was a change to "moon phase" integration. Could you please add a test case and regression potential for that?

+commit 1cc55b7fc509a1ccb98b686b1b102b38fe68348d
+Author: Sean Davis <email address hidden>
+Date: Sat Mar 23 06:51:00 2019 -0400
+
+ Fix moon phase integration
+
+ Signed-off-by: Sean Davis <email address hidden>

Changed in xfce4-weather-plugin (Ubuntu Cosmic):
status: In Progress → Incomplete
Sean Davis (bluesabre) on 2019-03-26
description: updated
Sean Davis (bluesabre) on 2019-03-26
description: updated
Sean Davis (bluesabre) wrote :

Hello Brian, the change to the moon phase integration was directly related to the API replacement. The replacement consists of 3 patches: The first replaced the API without support for moon phase; the second included some improvements; and the third restored the moon phase integration. I added a comment in the Other Notes section explaining the changes.

I also added details about the moon phase to the test case. No additional regression potential expected as a result of the API change.

Changed in xfce4-weather-plugin (Ubuntu Cosmic):
status: Incomplete → In Progress

Hello Sean, or anyone else affected,

Accepted xfce4-weather-plugin into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfce4-weather-plugin/0.8.11-0ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xfce4-weather-plugin (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in xfce4-weather-plugin (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello Sean, or anyone else affected,

Accepted xfce4-weather-plugin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfce4-weather-plugin/0.8.11-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Sean Davis (bluesabre) wrote :

Verified in Bionic.

Before:
(wrapper-1.0:1828): weather-WARNING **: 20:09:40.088: Download of astronomical data failed with HTTP Status Code 404, Reason phrase: Not Found

After:
No error messages, moon phase and weather data work as expected.

description: updated
tags: added: verification-done-bionic
removed: verification-needed-bionic
Sean Davis (bluesabre) wrote :

I was able to reproduce and verify in Cosmic as well. Same warning as above:

Download of astronomical data failed with HTTP Status Code 404, Reason phrase: Not Found

After upgrading the package, removing the plugin, and redoing the test, there are no error messages and the moon phase and weather data work as expected.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Timo Aaltonen (tjaalton) wrote :

Hello Sean, or anyone else affected,

Accepted xfce4-weather-plugin into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xfce4-weather-plugin/0.8.11-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xfce4-weather-plugin (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-weather-plugin - 0.8.11-0ubuntu0.18.10.1

---------------
xfce4-weather-plugin (0.8.11-0ubuntu0.18.10.1) cosmic; urgency=medium

  * The Sunrise 1.1 API is deprecated, use 2.0 (LP: #1821662)

 -- Sean Davis <email address hidden> Tue, 26 Mar 2019 06:20:57 -0400

Changed in xfce4-weather-plugin (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xfce4-weather-plugin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xfce4-weather-plugin - 0.8.11-0ubuntu0.18.04.1

---------------
xfce4-weather-plugin (0.8.11-0ubuntu0.18.04.1) bionic; urgency=medium

  * The Sunrise 1.1 API is deprecated, use 2.0 (LP: #1821662)

 -- Sean Davis <email address hidden> Tue, 26 Mar 2019 06:36:43 -0400

Changed in xfce4-weather-plugin (Ubuntu Bionic):
status: Fix Committed → Fix Released

The fix for this bug has been awaiting testing feedback in the -proposed repository for xenial for more than 90 days. Please test this fix and update the bug appropriately with the results. In the event that the fix for this bug is still not verified 15 days from now, the package will be removed from the -proposed repository.

tags: added: removal-candidate
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints